com_dotnet extension error?

Help
Rory
2013-06-29
2013-07-02
  • Rory

    Rory - 2013-06-29

    I tried installing phpSysinfo under Server 2012 with IIS 8 the same way I have in the past with older versions of Windows Server (2008/2008 R2), and I've run into a problem. This problem seems to be largely undocumented and I can't find any help online, so I figured I'd post here. When I try to load the index page, all I come up with is something like this:

    <phpsysinfo>
        <Error>
            <Function>checkForExtensions</Function>
            <Message>
                phpSysInfo requires the com_dotnet extension to php in order to work properly.
            </Message>
        </Error>
    </phpsysinfo>
    

    You can try for yourself here: http://www.roryjon.es/phpsysinfo/

    Any ideas as to what I can do? I've tried playing around with the .NET stuff, but Windows says its already installed.

    Thanks.

     
  • Mieczysław Nalewaj

    See com_dotnet section in phpinfo file.
    To create a phpinfo file, open a plain text file, add the following lines, and save:
    <?php
    phpinfo();
    ?>

     
  • Rory

    Rory - 2013-07-01

    Hi, thanks for the reply.

    I can't find any "phpinfo" file, and while I have both a "com_dotnet.php" and a "com_dotnet.html" file on the root of my webserver, copying them to the phpsysinfo folder does nothing.

    Is there something I'm not doing right? Thanks.

     
  • Rory

    Rory - 2013-07-01

    Hi, I've created the file and it gives me some sort of list. I can find no mention of a "com_dotnet" extension.

    If you have the time to have a look, that would be great. http://roryjon.es/phpsysinfo/phpinfo.php

    Many thanks. :)

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks